package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc结算单价对象 cmc_price
 * 
 * @author cmc
 * @date 2024-03-21
 */
public class CmcPrice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 结算单价id */
    @Excel(name = "编号")
    private Long id;

    /** 工作类别 */
    @Excel(name = "工作类别")
    private String workType;

    /** 工作内容 */
    @Excel(name = "工作内容")
    private String workItem;

    /** 工作细项 */
    @Excel(name = "工作细项")
    private String subItem;

    /** 单价比例 */
    @Excel(name = "单价比例")
    private String pricePercentage;

    /** 等级或比例尺 */
    @Excel(name = "等级或比例尺")
    private String scaleGrade;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 一般地类单价 */
    @Excel(name = "一般地类单价")
    private BigDecimal commonPrice;

    /** 复杂地类单价 */
    @Excel(name = "复杂地类单价")
    private BigDecimal complexPrice;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setWorkType(String workType) 
    {
        this.workType = workType;
    }

    public String getWorkType() 
    {
        return workType;
    }
    public void setWorkItem(String workItem) 
    {
        this.workItem = workItem;
    }

    public String getWorkItem() 
    {
        return workItem;
    }
    public void setSubItem(String subItem) 
    {
        this.subItem = subItem;
    }

    public String getSubItem() 
    {
        return subItem;
    }
    public void setPricePercentage(String pricePercentage) 
    {
        this.pricePercentage = pricePercentage;
    }

    public String getPricePercentage() 
    {
        return pricePercentage;
    }
    public void setScaleGrade(String scaleGrade) 
    {
        this.scaleGrade = scaleGrade;
    }

    public String getScaleGrade() 
    {
        return scaleGrade;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setCommonPrice(BigDecimal commonPrice) 
    {
        this.commonPrice = commonPrice;
    }

    public BigDecimal getCommonPrice() 
    {
        return commonPrice;
    }
    public void setComplexPrice(BigDecimal complexPrice) 
    {
        this.complexPrice = complexPrice;
    }

    public BigDecimal getComplexPrice() 
    {
        return complexPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("workType", getWorkType())
            .append("workItem", getWorkItem())
            .append("subItem", getSubItem())
            .append("pricePercentage", getPricePercentage())
            .append("scaleGrade", getScaleGrade())
            .append("unit", getUnit())
            .append("commonPrice", getCommonPrice())
            .append("complexPrice", getComplexPrice())
            .toString();
    }
}
